Package org.apache.lucene.index

# Enum Class MergePolicy.OneMergeProgress.PauseReason

java.lang.Object
java.lang.Enum<MergePolicy.OneMergeProgress.PauseReason>
org.apache.lucene.index.MergePolicy.OneMergeProgress.PauseReason

All Implemented Interfaces:
  `Serializable`, `Comparable<MergePolicy.OneMergeProgress.PauseReason>`, `Constable`

Enclosing class:
  `MergePolicy.OneMergeProgress`

public static enum MergePolicy.OneMergeProgress.PauseReason extends Enum<MergePolicy.OneMergeProgress.PauseReason>
Reason for pausing the merge thread.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OTHER`
  Other reason.
  `PAUSED`
  Temporarily paused because of exceeded throughput rate.
  `STOPPED`
  Stopped (because of throughput rate set to 0, typically).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MergePolicy.OneMergeProgress.PauseReason`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MergePolicy.OneMergeProgress.PauseReason[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STOPPED

    public static final MergePolicy.OneMergeProgress.PauseReason STOPPED
    Stopped (because of throughput rate set to 0, typically).

  - ### PAUSED

    public static final MergePolicy.OneMergeProgress.PauseReason PAUSED
    Temporarily paused because of exceeded throughput rate.

  - ### OTHER

    public static final MergePolicy.OneMergeProgress.PauseReason OTHER
    Other reason.

- ## Method Details

  - ### values

    public static MergePolicy.OneMergeProgress.PauseReason[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MergePolicy.OneMergeProgress.PauseReason valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null